package summarymeasures;

import java.awt.BorderLayout;
import java.awt.Container;
import java.awt.GridLayout;
import javax.swing.ButtonGroup;
import javax.swing.JFrame;
import javax.swing.JPanel;

/**
 * MeasuresWindow.java
 * Created by Stijn Strickx on Mar. 2 2008
 * Copyright 2008 Stijn Strickx, All rights reserved
 */
public class MeasuresWindow {
    
    public MeasuresWindow(){
        InputModel inModel = new InputModel();
        OutputModel outModel = new OutputModel();
        JPanel buttonPanel = new JPanel();          
        JPanel leftPanel = new JPanel();
        JPanel radioPanel = new JPanel();
        JPanel rightPanel = new JPanel();
        buttonPanel.setLayout(new GridLayout(4,3));
        leftPanel.setLayout(new BorderLayout());
        radioPanel.setLayout(new GridLayout(4,1));
        rightPanel.setLayout(new BorderLayout());
        for(int i=1;i<=10;i++){
            buttonPanel.add(new InputButton(inModel, outModel, ""+(i%10)));              
        }
        buttonPanel.add(new InputButton(inModel, outModel, "ENT"));
        buttonPanel.add(new InputButton(inModel, outModel, "DEL"));
        leftPanel.add(new InputField(inModel), BorderLayout.NORTH);
        leftPanel.add(buttonPanel, BorderLayout.SOUTH);
        OutputRadioBtn[] radios = new OutputRadioBtn[4];
        ButtonGroup radioGroup = new ButtonGroup();
        radios[0] = new OutputRadioBtn(outModel,"amount","amount");
        radios[1] = new OutputRadioBtn(outModel,"sum","sum");
        radios[2] = new OutputRadioBtn(outModel,"average","avg");
        radios[3] = new OutputRadioBtn(outModel,"variance","var");
        radios[0].setSelected(true);
        for(int x=0; x<radios.length;x++){
            radioGroup.add(radios[x]);
            radioPanel.add(radios[x]);
        }
        rightPanel.add(new OutputField(outModel),BorderLayout.NORTH);
        rightPanel.add(radioPanel, BorderLayout.CENTER);
        JFrame window = new JFrame("Summary Measures (c) Stijn Strickx");
        Container cp = window.getContentPane();
        cp.setLayout(new GridLayout(1,2));
        cp.add(leftPanel);
        cp.add(rightPanel);
        window.pack();
        window.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
        window.setVisible(true);       
    }
}
